Karia
ReferencesOpenapiOrigination

Create deal

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal

Create an origination deal in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
application/json
  1. body
name*string
Length1 <= length
description*string
priority*string
Value in"low""medium""high""urgent"
contactId*string
assignedTo*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
expectedClosureDate*string
followUpDate*string
grossAnnualSalary?string
payrollCycle?string
employerId?string
employerName?string

Response Body

Successful response

application/json
  1. response
dealId*string|number
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "priority": "low",  "contactId": "string",  "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",  "expectedClosureDate": "string",  "followUpDate": "string"}'
Example Response
{  "dealId": "string"}